Cyberduck Mountain Duck CLI

#8201 closed defect (fixed)

Unhandled LoginCanceledException Error during invoke

Reported by: redstone Owned by: dkocher
Priority: normal Milestone: 4.6
Component: s3 Version: 4.5.2
Severity: normal Keywords: unhandled exception
Cc: Architecture:
Platform: Windows 7

Description (last modified by dkocher)

I'm trying to log into S3 and pretty sure I'm using the correct keys, but it fails each attempt with the log message below. I would have thought it was a simple error in credentials, but the "unhandled exception" aspect doesn't sound expected:

2014-08-29 14:57:18,157 [background-1] ERROR AsyncController - Unhandled exception during invoke
ch.cyberduck.core.exception.LoginCanceledException{detail='null', cause='null', message='null'}
	at cli.Ch.Cyberduck.Ui.Controller.PromptLoginController$$$003C$$003Ec__DisplayClass5.<prompt>b__4(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.Threading.SimpleDefaultMainAction.run(Unknown Source)
	at cli.System.Delegate.DynamicInvokeImpl(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackDo(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackHelper(Unknown Source)
	at cli.System.Threading.ExecutionContext.RunInternal(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallback(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbacks(Unknown Source)
	at cli.System.Windows.Forms.Control.WndProc(Unknown Source)
	at cli.System.Windows.Forms.ScrollableControl.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Form.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.OnMessage(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.WndProc(Unknown Source)
	at cli.System.Windows.Forms.NativeWindow.Callback(Unknown Source)
	at cli.System.Windows.Forms.UnsafeNativeMethods.DispatchMessageW(Unknown Source)
	at cli.System.Windows.Forms.Application$ComponentManager.System.Windows.Forms.UnsafeNativeMethods.IMsoComponentManager.FPushMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoopInner(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application.Run(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.OnRun(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.DoApplicationModel(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Main(Unknown Source)

Change History (7)

comment:1 Changed on Aug 29, 2014 at 8:11:54 PM by redstone

I tried the keys in another s3 windows client (s3browser) and it worked fine, so I don't think it's a problem with the keys.

comment:2 Changed on Sep 1, 2014 at 11:23:41 AM by dkocher

  • Component changed from core to s3
  • Description modified (diff)
  • Owner set to dkocher

comment:3 Changed on Sep 1, 2014 at 11:24:20 AM by dkocher

This stacktrace is expected if you cancel a login attempt by choosing Cancel in the login prompt.

comment:4 Changed on Sep 1, 2014 at 11:24:31 AM by dkocher

  • Milestone set to 4.5.3

comment:5 Changed on Sep 2, 2014 at 4:45:25 PM by redstone

I didn't see a login prompt per se. I clicked "Open Connection", filled out the fields and clicked "Connect". As an experiment, I tried clicking "Cancel" on that dialog box and didn't notice any extra messages in the log.

Unfortunately, the problem seems to have gone away so I can't diagnose further for the time being :( I'll update if this reappears.

Btw, I was playing around a bit with the UI and generated the following exception. Doubt it's related, but figured I'd post anyways:

2014-09-02 12:40:50,598 [Thread-0] ERROR ch.cyberduck.ui.AbstractController - Exception running cleanup task Unable to cast object of type 'java.util.ArrayList' to type 'ch.cyberduck.core.AttributedList'.
java.lang.ClassCastException: Unable to cast object of type 'java.util.ArrayList' to type 'ch.cyberduck.core.AttributedList'.
	at cli.Ch.Cyberduck.Ui.Controller.TransferPromptModel$TransferPromptListAction$InnerTransferPromptListWorker.cleanup(Unknown Source)
	at ch.cyberduck.ui.threading.WorkerBackgroundAction.cleanup(WorkerBackgroundAction.java:68)
	at ch.cyberduck.ui.AbstractController$BackgroundCallable$1.run(AbstractController.java:206)
	at cli.System.Delegate.DynamicInvokeImpl(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackDo(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackHelper(Unknown Source)
	at cli.System.Threading.ExecutionContext.RunInternal(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallback(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbacks(Unknown Source)
	at cli.System.Windows.Forms.Control.WndProc(Unknown Source)
	at cli.System.Windows.Forms.ScrollableControl.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Form.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.OnMessage(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.WndProc(Unknown Source)
	at cli.System.Windows.Forms.NativeWindow.Callback(Unknown Source)
	at cli.System.Windows.Forms.UnsafeNativeMethods.DispatchMessageW(Unknown Source)
	at cli.System.Windows.Forms.Application$ComponentManager.System.Windows.Forms.UnsafeNativeMethods.IMsoComponentManager.FPushMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoopInner(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application.RunDialog(Unknown Source)
	at cli.System.Windows.Forms.Form.ShowDialog(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Winforms.BaseForm.ShowDialog(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.TransferPromptController.<prompt>b__3(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.Threading.SimpleDefaultMainAction.run(Unknown Source)
	at cli.System.Delegate.DynamicInvokeImpl(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackDo(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackHelper(Unknown Source)
	at cli.System.Threading.ExecutionContext.RunInternal(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallback(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbacks(Unknown Source)
	at cli.System.Windows.Forms.Control.WndProc(Unknown Source)
	at cli.System.Windows.Forms.ScrollableControl.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Form.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.OnMessage(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.WndProc(Unknown Source)
	at cli.System.Windows.Forms.NativeWindow.Callback(Unknown Source)
	at cli.System.Windows.Forms.UnsafeNativeMethods.DispatchMessageW(Unknown Source)
	at cli.System.Windows.Forms.Application$ComponentManager.System.Windows.Forms.UnsafeNativeMethods.IMsoComponentManager.FPushMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoopInner(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application.Run(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.OnRun(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.DoApplicationModel(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Main(Unknown Source)

Last edited on Sep 2, 2014 at 5:07:11 PM by dkocher (previous) (diff)

comment:6 Changed on Sep 2, 2014 at 6:12:00 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r15069.

comment:7 Changed on Sep 2, 2014 at 6:19:19 PM by yla

Fix available in the latest snapshot build.

Note: See TracTickets for help on using tickets.
swiss made software